Inventor General Discussion

Inventor General Discussion

Reply
Contributor
hhls11
Posts: 24
Registered: ‎06-18-2012
Message 1 of 10 (961 Views)
Accepted Solution

How to have construction lines already drawn when starting new sketch?

961 Views, 9 Replies
08-24-2012 07:26 AM

Hi all,

 

I'm wanting to have vertical and horizontal construction lines already created whenever I start a sketch so that I can set symmetric constraints to the part I'm drawing up. At the moment, I have to draw both lines every time and constrain them to the center point. It would be much easier if it was already there when I started so I can start on the sketch right away. Is there a way to do this? I've included a photo of what I'd like to do. Thanks in advance for your help!

Inventor Professional 2013
Intel Xeon W3680 @ 3.33Ghz
12GB DDR3 RAM
NVIDIA Quadro 2000 GPU
Windows 7 Professinal 64-bit

Turn on construcion, click project geometry, then click X Axis and Y Axis in the browser, then OK.

8-24-2012 9-49-52 AM.png

*Pro
jletcher
Posts: 1,983
Registered: ‎05-18-2011
Message 2 of 10 (956 Views)

Re: How to have construction lines already drawn when starting new sketch?

08-24-2012 07:31 AM in reply to: hhls11

Well there is no photo but why would you draw lines? just use constraints Vertical and horizontal to the center orgin.

 

You can have it auto project the orgin center..

 

Capture.JPG


Please mark this response as "Accept as Solution" if it answers your question.

James Letcher
2012 Factory Design Suite ( will not load 2013)
What happen to my Inventor :-(
Distinguished Mentor
john.retzlaff
Posts: 947
Registered: ‎11-03-2003
Message 3 of 10 (954 Views)

Re: How to have construction lines already drawn when starting new sketch?

08-24-2012 07:32 AM in reply to: hhls11

Try projecting the x & y axis into the sketch (assuming you are on the xy plane).

John Retzlaff
Contributor
hhls11
Posts: 24
Registered: ‎06-18-2012
Message 4 of 10 (943 Views)

Re: How to have construction lines already drawn when starting new sketch?

08-24-2012 07:44 AM in reply to: jletcher

I do already have the origin projected, but using the horizontal and vertical constraints won't make my sketch symmetic about the origin axis. That's my main objective here...

 

@john: I tried to project the axis into the sketch, but it didn't work

Inventor Professional 2013
Intel Xeon W3680 @ 3.33Ghz
12GB DDR3 RAM
NVIDIA Quadro 2000 GPU
Windows 7 Professinal 64-bit
Distinguished Mentor
john.retzlaff
Posts: 947
Registered: ‎11-03-2003
Message 5 of 10 (938 Views)

Re: How to have construction lines already drawn when starting new sketch?

08-24-2012 07:52 AM in reply to: hhls11

Turn on construcion, click project geometry, then click X Axis and Y Axis in the browser, then OK.

8-24-2012 9-49-52 AM.png

John Retzlaff
*Pro
jletcher
Posts: 1,983
Registered: ‎05-18-2011
Message 6 of 10 (934 Views)

Re: How to have construction lines already drawn when starting new sketch?

08-24-2012 07:56 AM in reply to: hhls11

hhls11 wrote:

but using the horizontal and vertical constraints won't make my sketch symmetic about the origin axis

 

---------------------------------------------------------------------------------------------------------------------------------------

 

That funny it works for me all the time.....................

 

Maybe you are doing to much on base sketch.....

 

 

 


Please mark this response as "Accept as Solution" if it answers your question.

James Letcher
2012 Factory Design Suite ( will not load 2013)
What happen to my Inventor :-(
*Expert Elite*
Curtis_Waguespack
Posts: 3,002
Registered: ‎03-08-2006
Message 7 of 10 (918 Views)

Re: How to have construction lines already drawn when starting new sketch?

08-24-2012 08:07 AM in reply to: hhls11

Hi hhls11,

 

I'm not aware of setting to do this, but you could use this iLogic rule to quickly add the projected line as cosntruction lines to any sketch that needs them.

 

 

 

If Typeof ThisApplication.ActiveEditObject Is Sketch Then
'Do nothing
Else
MessageBox.Show("Activate a Sketch First then Run this Rule", "ilogic")
Return
End If

Dim oPartDoc As PartDocument
oPartDoc = ThisApplication.ActiveDocument

Dim oSelectSet As SelectSet 
oSelectSet = oPartDoc.SelectSet
oSelectSet.Clear 

'turn on construction line
ThisApplication.CommandManager.ControlDefinitions.Item("SketchConstructionCmd").Execute

'look at the workplane collection 
For Each oWorkPlane In oPartDoc.ComponentDefinition.WorkPlanes
'find origin planes only
If oWorkPlane.IsCoordinateSystemElement = True Then 
oSelectSet.Select(oWorkPlane)
End If
Next

'Project Geometry
ThisApplication.CommandManager.ControlDefinitions.Item("AppProjectGeometryWrapperCmd").Execute
'Cancels active command
ThisApplication.CommandManager.StopActiveCommand

'turn off construction line
ThisApplication.CommandManager.ControlDefinitions.Item("SketchConstructionCmd").Execute

 

http://inventortrenches.blogspot.com/2012/01/creating-basic-ilogic-rule-with-event.html

 

I hope this helps.
Best of luck to you in all of your Inventor pursuits,
Curtis
http://inventortrenches.blogspot.com




  solution.png  Did you find this reply helpful ? If so please use the Accept as Solution or  Kudos button below.





Valued Contributor
PhilSaw
Posts: 65
Registered: ‎06-28-2011
Message 8 of 10 (914 Views)

Re: How to have construction lines already drawn when starting new sketch?

08-24-2012 08:09 AM in reply to: hhls11

In sketch mode, select construction lines for linetype, then project geometry either from the relavent workplanes or axis.

This is what I would do, except without turning on construction lines.

Please click "Accept as Solution" if this response answers your question.
-------------------------------------------------------------------------------------
Autodesk Inventor Professional 2012
Windows 7 Professional, 64-bit (Service Pack 1)
Intel(R) Core(TM i7-2600 CPU, Quadro 2000 graphics card, 8G RAM
Contributor
hhls11
Posts: 24
Registered: ‎06-18-2012
Message 9 of 10 (902 Views)

Re: How to have construction lines already drawn when starting new sketch?

08-24-2012 08:24 AM in reply to: john.retzlaff

This method seems to work fine. Thanks for your help.

Inventor Professional 2013
Intel Xeon W3680 @ 3.33Ghz
12GB DDR3 RAM
NVIDIA Quadro 2000 GPU
Windows 7 Professinal 64-bit
Distinguished Mentor
john.retzlaff
Posts: 947
Registered: ‎11-03-2003
Message 10 of 10 (897 Views)

Re: How to have construction lines already drawn when starting new sketch?

08-24-2012 08:26 AM in reply to: hhls11

If you often start your sketches like this, you may want to save this as a template.

John Retzlaff
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Do you have 60 seconds to spare? The Autodesk Community Team is revamping our site ranking system and we want your feedback! Please click here to launch the 5 question survey. As always your input is greatly appreciated.